<script>
    import LineEditor from '../../Components/LineEditor.svelte';
    import { url } from '../../vcard.js';
    import { t } from '../../translations.svelte';

    let { code, patch = (from, to) => true } = $props();

    let value = $derived(url(code));

    function onSet(newVal){
        const newCode = code.replace(value,newVal);
        return patch(code,newCode);
    }
</script>

{#if value}
<LineEditor editable={true} {value} {onSet} title={t('url')}/>
{/if}